freemat(1)

NAME
freemat - Mathematics Framework

SYNOPSIS
freemat

DESCRIPTION
This manual page documents briefly the freemat command. This manual page was written for the Debian distribution because the original program does not have a manual page.

freemat is a free environment for rapid engineering and scientific prototyping and data processing. It is similar to commercial systems such as MATLAB from Mathworks, and IDL from Research Systems, but is Open Source. freemat is available under the GPL license.

OPTIONS
freemat follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-f <command>
    Runs freemat in command mode. freemat will startup, run the given command, and then quit. Note that this option uses the remainder of the command line, so use it last.

-nogui
    Suppress the GUI for freemat.

-noplastique
    Do not force the plastique style for GUI.

-noX
    Disables the graphics subsystem.

-e  uses a dumb terminal interface (no command line editing, etc.) This flag is primarily used when you want to capture input/output to freemat from another application.

-i <path>
    Install freemat - provide the path to the freemat data directory (containing the scripts, help and other files.). Normally these are installed in /usr/share/freemat but regardless, you must run freemat -i once to indicate the location of this directory. Note that in this mode, freemat will only update its internal configuration and then exit.

-p <path>

-help
    Show summary of options.

AUTHOR
freemat was written by Samit Basu <samitbasu@users.sourceforge.net>

This manual page was written by Giuseppe Iuculano <giuseppe@iuculano.it>, for the Debian project (but may be used by others).